%define upstream_name    CPAN-Meta
%define upstream_version 2.150010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    3

Summary:    Validate CPAN distribution metadata structures

License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.121.0
BuildRequires: perl(CPAN::Meta::YAML) >= 0.12.0
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(IO::Dir)
BuildRequires: perl(JSON::PP) >= 2.272.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Parse::CPAN::Meta) >= 1.441.400
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version) >= 1:0.880.0
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch
%rename perl-Parse-CPAN-Meta

%description
Software distributions released to the CPAN include a _META.json_ or, for
older distributions, _META.yml_, which describes the distribution, its
contents, and the requirements for building and installing the
distribution. The data structure stored in the _META.json_ file is
described in the CPAN::Meta::Spec manpage.

CPAN::Meta provides a simple class to represent this distribution metadata
(or _distmeta_), along with some helpful methods for interrogating that
data.

The documentation below is only for the methods of the CPAN::Meta object.
For information on the meaning of individual fields, consult the spec.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING.* Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*



%changelog

* Tue May 29 2018 Denis Silakov <dsilakov@virtuozzo.com> 2.150.10-3
- (454a4eb) Bump release


